| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Protected Attributes | Properties | Private Member Functions | Private Attributes

# IG::Num::ScalarFunctionOneParametric Class Reference

Base class for one parametric families of scalar functions with affine transformation of co-ordinates. Parameters that completely define the function out of parametric family of functions can be queried or set. Affine transformation of coordinates is included: the reference function evaluation must be defined while the actual function is defined as that reference function of transformed coordinates. If transformation is not specified then function reduces to the reference one. More...

Inheritance diagram for IG::Num::ScalarFunctionOneParametric:
[legend]
Collaboration diagram for IG::Num::ScalarFunctionOneParametric:
[legend]

List of all members.

## Public Member Functions
| ScalarFunctionOneParametric (double parameter)
| Constructor. Does not define affine transformation of the function.
| ScalarFunctionOneParametric (double parameter, IAffineTransformation transformation)
| Constructor. Creates a new parametric scalar function with the specified parameter and transformation of coordinates.
| ScalarFunctionOneParametric (IVector parameters)
| Constructor. Does not define affine transformation of the function.
| ScalarFunctionOneParametric (IVector parameters, IAffineTransformation transformation)
| Cobnstructor. Creates a new parametric scalar function with the specified parameters and transformation of coordinates.
override double[] | GetParameters ()
| Returns parameters of the current parametric function as an array. Since this class is for one parametric family of functions, an array of length 1 is always returned.
override void | SetParameters (double[] parameters)
| Sets parameters of the current parametric functions, where parameters are specified as array.
override double | GetParameter (int which)
| Returns value of the specified parameter of the parameterized function.
override void | SetParameter (int which, double value)
| Sets the specific parameters of the parameterized function.
## Static Protected Attributes
static Vector | _parAux = new Vector(1)
| Auxiliary vector whose only function is to enable calling base constructors with parameters specified as vector.
## Properties
override IVector | Parameters`[get, set]`
| Gets or sets parameters that define the specific function out of parametric familiy of scalar functions.
virtual double | Parameter`[get, set]`
| Gets or sets the (only) parameter that defines the current function out of parametric family of functions.
override int | NumParameters`[get]`
| Gets number of parameters that define the current function out of parametric family of scalar functions. Always evaluates to 1 because this is a one parametric family of functions.
## Private Member Functions
| ScalarFunctionOneParametric ()
| Default constructor is inaccessible because it has no meaning.
## Private Attributes
double | _parameter

## Detailed Description

Base class for one parametric families of scalar functions with affine transformation of co-ordinates. Parameters that completely define the function out of parametric family of functions can be queried or set. Affine transformation of coordinates is included: the reference function evaluation must be defined while the actual function is defined as that reference function of transformed coordinates. If transformation is not specified then function reduces to the reference one.

This base class does not implement data containing parameters. This enables to derive base classes with different representations of parameters, e.g. with only one number for one parametric functions. $A Igor Dec10;

## Constructor & Destructor Documentation

IG::Num::ScalarFunctionOneParametric::ScalarFunctionOneParametric | ( |  | ) | `[inline, private]`

Default constructor is inaccessible because it has no meaning.

IG::Num::ScalarFunctionOneParametric::ScalarFunctionOneParametric | ( | double | parameter | ) | `[inline]`

Constructor. Does not define affine transformation of the function.

Parameters:

  parameters | Parameter that define a specific function out of a parametric family of functions.

IG::Num::ScalarFunctionOneParametric::ScalarFunctionOneParametric | ( | double | parameter,
|  | IAffineTransformation | transformation
| ) |  | `[inline]`

Constructor. Creates a new parametric scalar function with the specified parameter and transformation of coordinates.

Parameters:

  parameters | Parameter that defines a specific function out of a parametric family of functions.
  transformation | Affine transformation of coordinates. Actual function is calculated as some reference function evaluated at inverse affine transformed parameters. If null then transformation is not applied.

IG::Num::ScalarFunctionOneParametric::ScalarFunctionOneParametric | ( | IVector | parameters | ) | `[inline]`

Constructor. Does not define affine transformation of the function.

Parameters:

  parameters | Vector of parameters that define a specific function out of a parametric family of functions.

IG::Num::ScalarFunctionOneParametric::ScalarFunctionOneParametric | ( | IVector | parameters,
|  | IAffineTransformation | transformation
| ) |  | `[inline]`

Cobnstructor. Creates a new parametric scalar function with the specified parameters and transformation of coordinates.

Parameters:

  parameters | Vector of parameters that define a specific function out of a parametric family of functions.
  transformation | Affine transformation of coordinates. Actual function is calculated as some reference function evaluated at inverse affine transformed parameters. If null then transformation is not applied.

## Member Function Documentation

override double [] IG::Num::ScalarFunctionOneParametric::GetParameters | ( |  | ) | `[inline]`

Returns parameters of the current parametric function as an array. Since this class is for one parametric family of functions, an array of length 1 is always returned.

Implements IG::Num::IScalarFunctionParametric.

override void IG::Num::ScalarFunctionOneParametric::SetParameters | ( | double[] | parameters | ) | `[inline]`

Sets parameters of the current parametric functions, where parameters are specified as array.

Parameters:

  parameters | Array of parameters. Array length must be 1 because this class represents a one parametric family..

Implements IG::Num::IScalarFunctionParametric.

override double IG::Num::ScalarFunctionOneParametric::GetParameter | ( | int | which | ) | `[inline]`

Returns value of the specified parameter of the parameterized function.

Parameters:

  which | Specifies which parameter is returned, must be 0 because this class represents a one parametric family of functions.

Implements IG::Num::IScalarFunctionParametric.

override void IG::Num::ScalarFunctionOneParametric::SetParameter | ( | int | which,
|  | double | value
| ) |  | `[inline]`

Sets the specific parameters of the parameterized function.

Parameters:

  which | Specifies which parameter is set, must be 0 because this class represents a one parametric family of functions.
  value | Value of the specified parameter.

Implements IG::Num::IScalarFunctionParametric.

## Member Data Documentation

Vector IG::Num::ScalarFunctionOneParametric::_parAux = new Vector(1)`[static, protected]`

Auxiliary vector whose only function is to enable calling base constructors with parameters specified as vector.

double IG::Num::ScalarFunctionOneParametric::_parameter`[private]`

## Property Documentation

override IVector IG::Num::ScalarFunctionOneParametric::Parameters`[get, set]`

Gets or sets parameters that define the specific function out of parametric familiy of scalar functions.

Implements IG::Num::IScalarFunctionParametric.

virtual double IG::Num::ScalarFunctionOneParametric::Parameter`[get, set]`

Gets or sets the (only) parameter that defines the current function out of parametric family of functions.

override int IG::Num::ScalarFunctionOneParametric::NumParameters`[get]`

Gets number of parameters that define the current function out of parametric family of scalar functions. Always evaluates to 1 because this is a one parametric family of functions.

Implements IG::Num::IScalarFunctionParametric.

The documentation for this class was generated from the following file:

- FunctionScalarParametric.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events